#include <stdio.h>
#define max 50

void ucitaj(int a[][max], int m, int n);
int racunaj(int a[][max], int m, int n, int p, int k);

int main () {
int m, n, p, k;
int a[max][max];
scanf("%d %d", &m, &n);  
ucitaj(a,m,n);
scanf("%d %d", &p, &k);
racunaj(a,m,n,p,k);
  return 0;
}

void ucitaj(int a[][max], int m, int n) {
int i, j;
for(i=0;i<m;i++) {
  for(j=0;j<n;j++)
    scanf("%d", &a[i][j]);
}
}

int racunaj(int a[][max], int m, int n, int p, int k) {
int i, j;
int sum=0; {
for(i=0;i<p;i++) 
  for(j=0;j<k;j++)
      sum=sum+a[i][j];
}
printf("%d\n", sum);
return 0;
}




